Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServerTypeInfo

    java.lang.Object
      org.hyperic.hq.product.TypeInfo
          org.hyperic.hq.product.ServerTypeInfo

All Implemented Interfaces:
  Cloneable

    public class ServerTypeInfo

extends TypeInfo
implements Cloneable

Field Summary

Fields inherited from class org.hyperic.hq.product.TypeInfo
`TYPE_PLATFORM, TYPE_SERVER, TYPE_SERVICE`

Constructor Summary
`ServerTypeInfo()`
`ServerTypeInfo(String name, String description, String version)`

Method Summary
`Object` | `clone()`
`int` | `getType()`
`String[]` | `getValidPlatformTypes()`
`String` | `getVersion()` Get the version for a server
`boolean` | `isVirtual()`
`void` | `setValidPlatformTypes(String[] validPlatformTypes)`
`void` | `setVersion(String version)`
`void` | `setVirtual(boolean isVirtual)`
`String` | `toString()`

Methods inherited from class org.hyperic.hq.product.TypeInfo
`equals, formatName, getDescription, getFormattedName, getName, getPlatformTypes, isServer, isServer, isService, isService, isUnixPlatform, isVersion, isWin32Platform, setDescription, setName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerTypeInfo

    public ServerTypeInfo()

### ServerTypeInfo

    public ServerTypeInfo(String name,
                          String description,
                          String version)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### isVirtual

    public boolean isVirtual()

### setVirtual

    public void setVirtual(boolean isVirtual)

### getType

    public int getType()

  Specified by:
    `getType` in class `TypeInfo`

### getVersion

    public String getVersion()

  Description copied from class: `TypeInfo`
  Get the version for a server

  Overrides:
    `getVersion` in class `TypeInfo`

### setVersion

    public void setVersion(String version)

### getValidPlatformTypes

    public String[] getValidPlatformTypes()

### setValidPlatformTypes

    public void setValidPlatformTypes(String[] validPlatformTypes)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.